Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class ArrowStyle

    Object
      CodeList<E>
          SimpleEnumerationType<ArrowStyle>
              ArrowStyle

All Implemented Interfaces:
  Serializable, Comparable<ArrowStyle>

    public class ArrowStyle

extends SimpleEnumerationType<ArrowStyle>

Indicates the various enumerations of drawing a line with an arrow head. This class defines static constants for all of the standard choices.

An implementation is not required to implement the entire list of available arrow styles. At runtime, the list of implemented arrow styles can be retrieved from a `DisplayCapabilities` object (that was itself retrieved from a `Canvas`). An implementation may also implement other arrow styles not listed here.

NOTE: Two different implementations may have arrow styles with the same name, but use different `ArrowStyle` instances. If clients need to use the arrow style name to find a arrow style they should search the array returned by `getSupportedArrowStyles` from the `DisplayCapabilities` instance associated with the correct provider.

See Also:
  Serialized Form

Field Summary
`static ArrowStyle` | `BROAD_ARROW` Double line with large arrowhead.
`static ArrowStyle` | `NONE` Solid line with an no arrowhead.
`static ArrowStyle` | `OPEN_ARROW` Solid line with an open arrowhead on one end in the foreground color.
`static ArrowStyle` | `SOLID_ARROW` Solid line with a filled arrowhead on one end.

Constructor Summary
`protected` | `ArrowStyle(String name, String description)` Construct a new ArrowStyle with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static ArrowStyle[]` | `values()` Returns the list of `ArrowStyle`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final ArrowStyle NONE

  Solid line with an no arrowhead.

### OPEN_ARROW

    public static final ArrowStyle OPEN_ARROW

  Solid line with an open arrowhead on one end in the foreground color.

### SOLID_ARROW

    public static final ArrowStyle SOLID_ARROW

  Solid line with a filled arrowhead on one end.

### BROAD_ARROW

    public static final ArrowStyle BROAD_ARROW

  Double line with large arrowhead.

Constructor Detail

### ArrowStyle

    protected ArrowStyle(String name,
                         String description)

  Construct a new ArrowStyle with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedArrowStyles()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static ArrowStyle[] values()

  Returns the list of `ArrowStyle`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ArrowStyle>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.